## ssbind
Class CountHits

    java.lang.Object
      org.biojava.bio.search.SearchContentAdapter
          ssbind.CountHits

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class CountHits

extends org.biojava.bio.search.SearchContentAdapter

Prints out a count of the total number of hits in a report.

## Example

     java ProcessBlastReport blast.out ssbind.CountHits

Author:
  Matthew Pocock, Rahul Karnik

Constructor Summary
`CountHits()`

Method Summary
`void` `endSearch()`
`void` `startHit()`
`void` `startSearch()`

Methods inherited from class org.biojava.bio.search.SearchContentAdapter
`addHitProperty, addSearchProperty, addSubHitProperty, endHeader, endHit, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startSubHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountHits

    public CountHits()

Method Detail

### startSearch

    public void startSearch()

  Specified by:
    `startSearch` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startSearch` in class `org.biojava.bio.search.SearchContentAdapter`

### endSearch

    public void endSearch()

  Specified by:
    `endSearch` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `endSearch` in class `org.biojava.bio.search.SearchContentAdapter`

### startHit

    public void startHit()

  Specified by:
    `startHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startHit` in class `org.biojava.bio.search.SearchContentAdapter`